Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.buildcomparison.gradle
[Java] Class CompareGradleBuilds

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.plugins.buildcomparison.gradle.CompareGradleBuilds

All Implemented Interfaces:
  VerificationTask

    @Incubating
    public class CompareGradleBuilds
    extends DefaultTask

Executes two Gradle builds (that can be the same build) with specified versions and compares the outcomes. Please see the “Comparing Builds” chapter of the Gradle User Guide for more information.

Field Summary
`static List` | `DEFAULT_TASKS`

Constructor Summary
`CompareGradleBuilds(FileResolver fileResolver, ProgressLoggerFactory progressLoggerFactory, Instantiator instantiator)`

Method Summary
`boolean` | `getIgnoreFailures()` Whether a comparison between non identical builds will fail the task execution.
`File` | `getReportDir()` The directory that will contain the HTML comparison report and any other report files.
`GradleBuildInvocationSpec` | `getSourceBuild()` The specification of how to invoke the source build.
`GradleBuildInvocationSpec` | `getTargetBuild()` The specification of how to invoke the target build.
`void` | `setIgnoreFailures(boolean ignoreFailures)` Sets whether a comparison between non identical builds will fail the task execution.
`void` | `setReportDir(Object reportDir)` Sets the directory that will contain the HTML comparison report and any other report files.
`void` | `sourceBuild(Action config)` Configures the source build.
`void` | `targetBuild(Action config)` Configures the target build.

Field Detail

### DEFAULT_TASKS

    public static final List DEFAULT_TASKS

Constructor Detail

### CompareGradleBuilds

    @Inject
    public CompareGradleBuilds(FileResolver fileResolver, ProgressLoggerFactory progressLoggerFactory, Instantiator instantiator)

Method Detail

### getIgnoreFailures

    public boolean getIgnoreFailures()

  Whether a comparison between non identical builds will fail the task execution.
  Returns:
    True if a comparison between non identical builds will fail the task execution, otherwise false.

### getReportDir

    @OutputDirectory
    public File getReportDir()

  The directory that will contain the HTML comparison report and any other report files.
  Returns:
    The directory that will contain the HTML comparison report and any other report files.

### getSourceBuild

    public GradleBuildInvocationSpec getSourceBuild()

  The specification of how to invoke the source build. Defaults to project.rootDir with the current Gradle version and the tasks “clean assemble”. The `projectDir` must be the project directory of the root project if this is a multi project build.
  Returns:
    The specification of how to invoke the source build.

### getTargetBuild

    public GradleBuildInvocationSpec getTargetBuild()

  The specification of how to invoke the target build. Defaults to project.rootDir with the current Gradle version and the tasks “clean assemble”. The `projectDir` must be the project directory of the root project if this is a multi project build.
  Returns:
    The specification of how to invoke the target build.

### setIgnoreFailures

    public void setIgnoreFailures(boolean ignoreFailures)

  Sets whether a comparison between non identical builds will fail the task execution.
  Parameters:
    `ignoreFailures` - false to fail the task on non identical builds, true to not fail the task. The default is false.

### setReportDir

    @SuppressWarnings("UnusedDeclaration")
    public void setReportDir(Object reportDir)

  Sets the directory that will contain the HTML comparison report and any other report files. The value will be evaluated by Project.file.
  Parameters:
    `reportDir` - The directory that will contain the HTML comparison report and any other report files.

### sourceBuild

    @SuppressWarnings("UnusedDeclaration")
    public void sourceBuild(Action config)

  Configures the source build. A Groovy closure can be used as the action.

       sourceBuild {
         gradleVersion = "1.1"
       }

  Parameters:
    `config` - The configuration action.

### targetBuild

    @SuppressWarnings("UnusedDeclaration")
    public void targetBuild(Action config)

  Configures the target build. A Groovy closure can be used as the action.

       targetBuild {
         gradleVersion = "1.1"
       }

  Parameters:
    `config` - The configuration action.

Gradle API 1.10